
Redmine - Defect #7779

Error 500 when issue description is too long

2011-03-04 14:36 - Jakob Fix

Status: Closed Start date: 2011-03-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.1

Description

Apparently the length of the issue description (the field I'm typing into right now) is not checked and causes an Internal Error 500.

Inserting around 150Kb of text (I know, not a good idea) triggered the error and we had to check the Redmine log to get a better idea

of the cause of the error message.

If I understand correctly, the limit of the number of characters in the description field depends on the database field type which in

MySql is 2^16 i.e. about 64Kb.

We're using 1.1.1 in a Windows environment with MySql.

Not sure Issues is the right category, or should it be Database?

Related issues:

Is duplicate of Redmine - Defect #20127: The description column in the issues... Closed

History

#1 - 2011-03-04 15:43 - Etienne Massip

PostgreSQL stores issue description in a column with text data type which length is unlimited, so adding a limit would be some kind of regression to

PG users.

#2 - 2016-01-19 03:31 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #20127.

#3 - 2016-01-19 03:37 - Go MAEDA

- Is duplicate of Defect #20127: The description column in the issues table is too short (MySQL) added

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

https://www.redmine.org/issues/20127
http://www.tcpdf.org

